# Quake E1M1 conversion for H3VR
https://github.com/affonsoamendola/quake1h3vr

### MAJOR UPDATE! Version 1.1.1 now available! Check it out, lots of cool new stuff!
-----------------------------------------
#### New Features
- Speedrun Minigamemode! (Race through the map to get to the exit as quickly as possible! Set your configurations on the panel, press the Spawn Sosigs button, contemplate your life while the game freezes due to the amount of AWESOMENESS happening in the background, and jump down the shaft to start the timer!)
- Some Sounds (Still working on this one, so far only some lamps emit sounds, but it makes it slightly atmospheric, more to come!)
- Easter Egg? (?)
- New "Staging Area" before starting the map (I extended E1M1 a little bit to include a staging area where you can setup stuff and get weapons of your choice, before going out guns blazing.)
- Populated Secrets! (Secrets now have stuff! Go check them out! I still need to figure out a way of making stuff hover in the air like Quake, so stuff is mostly on the ground looking kind of meh, but its something!)
- Improvements to Doors and Trigger Areas (Trigger areas were only triggering on weapons, now they trigger with the player's body as well, and stay open while the player is in the doors trigger area, so you dont get squished out of the map, secret shootable doors still might squish you tho, be careful with those)

This is my port of Quake's E1M1 for Hotdogs, Horseshoes and Handgrenades.

Feel free to send me a dm via Discord (AffonsoAmendola#3532) or Twitter (@AmendolaAffonso) should you find any bugs, or @ me on the modding server there, everything SHOULD be working properly, but you never know. 

Also, I took the time a while ago to follow on some dear friends advice and created a Patreon, this seems like a good place to shill it out, so if you like anything I make, please consider donating to it, it helps me keep making weird projects like this one!

https://www.patreon.com/affonsoamendola 

Features:
- Push Buttons! (I dont know how to make them pushable with an empty hand, without being able to pull them out of the "socket", but you can push them with weapons and other objects.)
- Doors! (Triggerable by proximity, or by buttons or really whatever you want)
- Elevators! (Really they are just vertical doors :P)
- Secret Areas (They work exactly like in hte original game, so shoot doors, and some other areas on the map.)
- Blinking Lights! (Yes, I implemented the same pattern as in the original.)

Future Ideas:
- Take and Hold Map (I dont know if Atlas supports TNH yet, but it should be possible eventually to add some supply points around, this map is surprisingly circular, should be a pretty decent TNH map)
- Quake Guns (I asked nicely to Gunlovers if I can use the weapons from Quake they ported to their mod, STRAFESCRAPPER https://h3vr.thunderstore.io/package/Gunlovers/STRAFESCRAPPER_ICONIC_UPDATE/ and they said I could, so thats coming in the future maybe, still have to figure out some stuff.)

MANY thanks to nrgill28 for all the help while I was learning to mod this thing, and for all the work on Atlas and other mods!

Also many thanks to the LEGENDARY John Romero, the original creator of this map back in the 90s, I remember playing Quake in my old AMD-K6-2, I absolutely love it, and a big reason for that is probably E1M1, this is a perfect introduction to the game, I wish the process of porting was simpler, so I could port more maps, and maybe have the entire shareware episode, but thats very unlikely.